<MotionScene xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:motion="http://schemas.android.com/apk/res-auto">

    <Transition
        motion:autoTransition="jumpToStart"
        motion:constraintSetEnd="@+id/end"
        motion:constraintSetStart="@+id/start"
        motion:duration="10000"
        motion:motionInterpolator="linear"
        motion:pathMotionArc="startVertical">


        <KeyFrameSet>
            <KeyCycle
                android:translationX="100dp"
                motion:framePosition="0"
                motion:motionTarget="@+id/answerWordTextView"
                motion:waveOffset="0"
                motion:wavePeriod="0"
                motion:waveShape="sin" />

            <KeyCycle
                android:translationX="100dp"
                motion:framePosition="10"
                motion:motionTarget="@+id/answerWordTextView"
                motion:waveOffset="0"
                motion:wavePeriod="2"
                motion:waveShape="sin" />

            <KeyCycle
                android:translationX="120dp"
                motion:framePosition="80"
                motion:motionTarget="@+id/answerWordTextView"
                motion:waveOffset="0"
                motion:wavePeriod="1"
                motion:waveShape="sin" />

            <KeyCycle
                android:translationX="120dp"
                motion:framePosition="90"
                motion:motionTarget="@+id/answerWordTextView"
                motion:waveOffset="0"
                motion:wavePeriod="1"
                motion:waveShape="sin" />

            <KeyCycle
                android:translationX="120dp"
                motion:framePosition="100"
                motion:motionTarget="@+id/answerWordTextView"
                motion:waveOffset="0"
                motion:wavePeriod="0"
                motion:waveShape="sin" />
        </KeyFrameSet>
    </Transition>

    <ConstraintSet android:id="@+id/start">
        <Constraint
            android:id="@+id/answerWordTextView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="8dp"
            motion:layout_constraintBottom_toTopOf="parent"
            motion:layout_constraintLeft_toLeftOf="parent"
            motion:layout_constraintRight_toRightOf="parent"
            motion:visibilityMode="ignore" />
        <Constraint
            android:id="@+id/progressBar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            motion:layout_constraintBottom_toBottomOf="@+id/currentWordTextView"
            motion:layout_constraintLeft_toRightOf="@+id/buttonWrong"
            motion:layout_constraintRight_toLeftOf="@+id/buttonCorrect"
            motion:layout_constraintTop_toTopOf="@+id/currentWordTextView"
            motion:visibilityMode="ignore" />
    </ConstraintSet>

    <ConstraintSet android:id="@+id/end">
        <Constraint
            android:id="@id/answerWordTextView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            motion:layout_constraintRight_toRightOf="parent"
            motion:layout_constraintTop_toBottomOf="parent"
            motion:pathMotionArc="flip"
            motion:visibilityMode="ignore" />
        <Constraint
            android:id="@+id/progressBar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            motion:layout_constraintBottom_toBottomOf="@+id/currentWordTextView"
            motion:layout_constraintLeft_toRightOf="@+id/buttonWrong"
            motion:layout_constraintRight_toLeftOf="@+id/buttonCorrect"
            motion:layout_constraintTop_toTopOf="@+id/currentWordTextView"
            motion:visibilityMode="ignore" />
    </ConstraintSet>
</MotionScene>